import sys

class AppSettings(object):
    __defaults = {
            'TEMPLATE_VARS': {},
            'FAVICON_URL': 'http://www.entrouvert.com/favicon.ico',
            'WCSINST_DEFAULT_VARIABLES':  {},
            'AUQUOTIDIENAPI_DEFAULTS': {
                'order': 1,
                'hash_algo': 'sha256',
                'signature_key': '12345',
                'verify_certificate': True,
                'allow_redirects': False,
            },
            'PROFILE_FORM_PLUGIN_FORM_CLASS': 'portail_citoyen.forms.ProfileFormPluginForm',
    }

    __prefix = 'PORTAIL_CITOYEN_'

    def __getattr__(self, name):
        from django.conf import settings
        if name not in self.__defaults:
            raise AttributeError
        return getattr(settings, self.__prefix + name, self.__defaults[name])

app_settings = AppSettings()
app_settings.__name__ = __name__
sys.modules[__name__] = app_settings
